=== debian/changelog ===
ocaml-monolith (0~20241126-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 16:05:43 +0100

ocaml-monolith (0~20241126-1) unstable; urgency=medium

  * Initial release (Closes: #1091841)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Jan 2025 11:58:24 +0100
