## ocaml-monolith 0~20250314

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,13 @@
 
 # The version number is automatically set to the current date,
 # unless DATE is defined on the command line.
+# An example of the date format is 20241208.
 DATE     := $(shell /bin/date +%Y%m%d)
 
-# This is used in [make release] to search CHANGES.md.
-# Ideally, it should be derived from $(DATE).
-DATE_WITH_SLASHES := $(shell /bin/date +%Y/%m/%d)
+# The date, with slahes, is used in [make release] to search CHANGES.md.
+# An example is 2024/12/08.
+DATE_WITH_SLASHES := $(shell echo "${DATE}" \
+  | sed -e 's|\([0-9][0-9][0-9][0-9]\)\([0-9][0-9]\)\([0-9][0-9]\)|\1/\2/\3|')
 
 # The repository URL (https).
 REPO     := https://gitlab.inria.fr/fpottier/$(THIS)
@@ -57,11 +59,12 @@
 # toplevel, then we run [make unattended_norebuild] in every demo directory.
 
 # LOOP := xargs -n1
-LOOP := parallel --no-notice --jobs 4
+LOOP := parallel --no-notice --jobs 8 --group
 
 .PHONY: test
-test: dependencies
-	@ make clean
+test:
+#	@ make dependencies
+#	@ make clean
 	@ make -f Makefile.monolith all --no-print-directory
 	@ $(DEMOS) \
 	  | $(LOOP) make unattended_norebuild --no-print-directory -C
@@ -150,6 +153,7 @@
   5.0.0  \
   5.1.0  \
   5.2.0  \
+  5.3.0  \
 
 .PHONY: versions
 versions:
