=== demos/faulty/avl/Makefile ===
--- 
+++ 
@@ -8,6 +8,5 @@
 
 include ../../../Makefile.monolith
 EXPECTING_BUGS := 1
-TIMEOUT   := 60
 SEED_SIZE := 1000
 MODE := random
