=== debian/changelog ===
ocaml-monolith (0~20250314-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jun 2025 09:38:32 +0200

ocaml-monolith (0~20250314-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Mar 2025 09:55:20 +0100
