=== debian/control ===
Source: ocaml-monolith
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libafl-persistent-ocaml-dev,
 libpprint-ocaml-dev,
 ocaml-odoc,
 dh-ocaml (>= 1.2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://gitlab.inria.fr/fpottier/monolith/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-monolith.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-monolith

Package: libmonolith-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: framework for strong random testing of OCaml libraries (dev files)
 Monolith offers facilities for **testing an OCaml library** (for
 instance, a data structure implementation) by **comparing it against
 a reference implementation**. It can be used to perform either random
 testing or fuzz testing.
 .
 This package contains development files.

Package: libmonolith-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: framework for strong random testing of OCaml libraries (runtime)
 Monolith offers facilities for **testing an OCaml library** (for
 instance, a data structure implementation) by **comparing it against
 a reference implementation**. It can be used to perform either random
 testing or fuzz testing.
 .
 This package contains runtime files.
