## ocaml-monolith 0~20250922

=== Makefile ===
--- 
+++ 
@@ -200,8 +200,8 @@
 
 .PHONY: export
 export: doc
-	ssh yquem.inria.fr rm -rf public_html/$(THIS)/doc
-	scp -r $(DOCDIR) yquem.inria.fr:public_html/$(THIS)/doc
+	ssh yquem.paris.inria.fr rm -rf public_html/$(THIS)/doc
+	scp -r $(DOCDIR) yquem.paris.inria.fr:public_html/$(THIS)/doc
 
 # ----------------------------------------------------------------------------
 
@@ -241,7 +241,7 @@
 	@ echo "Done."
 	@ echo "If happy, please type:"
 	@ echo "  \"make publish\"   to publish a new opam package"
-	@ echo "  \"make export\"    to upload the documentation to yquem.inria.fr"
+	@ echo "  \"make export\"    to upload the documentation to yquem.paris.inria.fr"
 
 .PHONY: publish
 publish:
