=== demos/faulty/bag_det/Makefile ===
include ../../../Makefile.monolith
EXPECTING_BUGS := 1
