=== demos/faulty/map/Makefile ===
--- 
+++ 
@@ -8,5 +8,4 @@
 
 include ../../../Makefile.monolith
 EXPECTING_BUGS := 1
-TIMEOUT := 60
 MODE := random
