=== demos/misc/memoize_simple/Makefile ===
include ../../../Makefile.monolith
