=== demos/misc/seq1/Makefile ===
include ../../../Makefile.monolith
EXPECTING_BUGS := 1
MODE := random
TIMEOUT := 5
