=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  libpprint-ocaml-dev,
  ocaml-odoc,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: ocaml
 Homepage: https://gitlab.inria.fr/fpottier/monolith/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-monolith.git
