=== debian/watch ===
Version: 5

Source: https://gitlab.inria.fr/fpottier/monolith/tags?sort=updated_desc
Matching-Pattern: -/archive/[^/]+/monolith-@ANY_VERSION@\.tar\.gz
Searchmode: plain
Uversionmangle: s/^/0~/
